"use strict";
const common_vendor = require("../../../common/vendor.js");
const gen_Apis = require("../../../gen/Apis.js");
const ME_release_items_list_model = require("./model.js");
require("../../../common/libraries/request.js");
const common_store_useWeAppAuthStore = require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWorkStore.js");
const common_libraries_apiLoading = require("../../../common/libraries/apiLoading.js");
require("../../../common/libraries/userUserLogin.js");
common_store_useWeAppAuthStore.useWeAppAuthStore();
const getList = () => {
  var _a, _b;
  common_libraries_apiLoading.getApiLoading(gen_Apis.Apis.GoodsReleases.GoodsReleases.MyList, (_b = (_a = ME_release_items_list_model.useModel) == null ? void 0 : _a.formData) == null ? void 0 : _b.value).then((res) => {
    ME_release_items_list_model.useModel.listData.value = [...ME_release_items_list_model.useModel.listData.value, ...res.data];
    ME_release_items_list_model.useModel.metaData.value = res.meta;
    ME_release_items_list_model.useModel.loadingStatus.value = true;
    console.log(res);
  });
};
const method = {
  getList,
  loadMore(page) {
    ME_release_items_list_model.useModel.formData.value.page = page;
    this.getList();
  },
  showPassedDoc(res) {
    common_vendor.index.navigateTo({
      url: `/ME/release_items/show/index?id=${res == null ? void 0 : res.id}`
    });
  }
};
exports.method = method;
